<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pers_personalliste_login" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="16d60e98-49bb-42e5-a9f2-fbb358fa7771">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_SORTIERUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_STICHTAG" class="java.sql.Timestamp" isForPrompting="false"/>
	<parameter name="P_MITVERSTECKTEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_MANDANT_OBJ" class="com.lp.server.system.service.ReportMandantDto" isForPrompting="false"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor" isForPrompting="false">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<field name="Personalnummer" class="java.lang.String"/>
	<field name="Ausweisnummer" class="java.lang.String"/>
	<field name="Name" class="java.lang.String"/>
	<field name="Vorname" class="java.lang.String"/>
	<field name="Art" class="java.lang.String"/>
	<field name="Kostenstelle" class="java.lang.String"/>
	<field name="Zutrittsklasse" class="java.lang.String"/>
	<field name="Bild" class="java.lang.Object"/>
	<field name="Geburtsdatum" class="java.util.Date"/>
	<field name="Alter" class="java.lang.Integer">
		<fieldDescription><![CDATA[Ist nur auf das Jahr gerechnet, daher siehe Variable]]></fieldDescription>
	</field>
	<field name="SubreportAngehoerige" class="java.lang.Object"/>
	<field name="SubreportBankverbindung" class="java.lang.Object"/>
	<field name="EintrittsdatumZumStichtag" class="java.sql.Timestamp"/>
	<field name="ZeitmodellZumStichtag" class="java.lang.String"/>
	<field name="Familienstand" class="java.lang.String"/>
	<field name="Geburtsort" class="java.lang.String"/>
	<field name="Sozialversnr" class="java.lang.String"/>
	<field name="Sozialversicherer" class="java.lang.String"/>
	<field name="Staatsangehoerigkeit" class="java.lang.String"/>
	<field name="Religion" class="java.lang.String"/>
	<field name="Kollektiv" class="java.lang.String"/>
	<field name="Beruf" class="java.lang.String"/>
	<field name="Pendlerpauschale" class="java.lang.String"/>
	<field name="Lohngruppe" class="java.lang.String"/>
	<field name="Firmenzugehoerigkeit" class="java.lang.String"/>
	<field name="Unterschriftsfunktion" class="java.lang.String"/>
	<field name="Unterschriftstext" class="java.lang.String"/>
	<field name="Ueberstundenauszahlung" class="java.lang.Boolean"/>
	<field name="AbsenderDurchwahl" class="java.lang.String"/>
	<field name="AbsenderEmail" class="java.lang.String"/>
	<field name="AbsenderFaxDW" class="java.lang.String"/>
	<field name="AbsenderDirektfax" class="java.lang.String"/>
	<field name="AbsenderHandy" class="java.lang.String"/>
	<field name="Kurzzeichen" class="java.lang.String"/>
	<field name="Kurzbezeichnung" class="java.lang.String"/>
	<field name="Titel" class="java.lang.String"/>
	<field name="Vorname2" class="java.lang.String"/>
	<field name="Geschlecht" class="java.lang.String"/>
	<field name="Strasse" class="java.lang.String"/>
	<field name="Personalgruppe" class="java.lang.String"/>
	<field name="Ort" class="java.lang.String"/>
	<field name="Personalfunktion" class="java.lang.String"/>
	<field name="Heimatkostenstelle" class="java.lang.String"/>
	<field name="Telefon" class="java.lang.String"/>
	<field name="Fax" class="java.lang.String"/>
	<field name="Email" class="java.lang.String"/>
	<field name="Homepage" class="java.lang.String"/>
	<field name="Handy" class="java.lang.String"/>
	<field name="AustrittsdatumZumStichtag" class="java.util.Date"/>
	<variable name="V_HEUTE" class="java.util.Date" resetType="None">
		<variableExpression><![CDATA[Calendar.getInstance(Locale.GERMAN).getTime()]]></variableExpression>
		<initialValueExpression><![CDATA[Calendar.getInstance(Locale.GERMAN).getTime()]]></initialValueExpression>
	</variable>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="60" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Opaque" x="0" y="0" width="436" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="9d96fd94-bf7b-41e5-9fe6-2dbb32d9683a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="290" y="0" width="215" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="c38e8910-e0b9-4969-aa06-2355c425fce8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="507" y="0" width="25" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="560b0f8a-297a-4628-b116-99c2dad6a763"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Personalliste" mode="Opaque" x="0" y="16" width="150" height="17" forecolor="#000000" backcolor="#FFFFFF" uuid="a3037ec8-4af1-4305-9d8d-10b3ee3e89af"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="14" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Personal-Logindaten]]></text>
			</staticText>
			<staticText>
				<reportElement key="Sortiert nach" mode="Opaque" x="0" y="35" width="49" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="58ed3027-e1ff-4aac-a6f1-6540233d4b32"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Sortiert nach]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="SORTIERUNG" mode="Opaque" x="51" y="35" width="83" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="538dd060-405e-4c37-92b0-be9c9c849bca"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_SORTIERUNG}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="PNR" mode="Opaque" x="0" y="49" width="75" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="bcb23ddf-04e1-4a28-ae30-a3efc0a4c249"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[PNR]]></text>
			</staticText>
			<staticText>
				<reportElement key="ANR" mode="Opaque" x="75" y="49" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="eb97426d-e11f-4a0b-a63a-af784b748f86"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[ANR]]></text>
			</staticText>
			<staticText>
				<reportElement key="Name" mode="Opaque" x="130" y="48" width="200" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="f27a02f1-1c29-4ac3-bd09-4b5ca1717d9d"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Name, Vorname]]></text>
			</staticText>
			<line>
				<reportElement key="line-1" mode="Opaque" x="0" y="59" width="535" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="40ef5f05-4feb-4a12-9cc4-716f37a9ad0a"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Personalnummer" mode="Opaque" x="0" y="1" width="75" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="7cf80e00-812b-44c2-a824-7f32cae8431f"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Personalnummer}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Ausweisnummer" mode="Opaque" x="75" y="1" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="d389aa25-bcb4-4673-86e8-2c40618ba305"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Ausweisnummer}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="Name + Vorname" mode="Opaque" x="130" y="1" width="200" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="84b82e8e-0fb2-47a1-a1f0-540806733e71"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Name} +" "+($F{Vorname} == null ? "" : $F{Vorname})]]></textFieldExpression>
			</textField>
		</band>
		<band height="1">
			<subreport>
				<reportElement key="Subreport_logindaten" positionType="Float" x="130" y="0" width="350" height="1" uuid="d20a5963-7363-4623-845e-0e4266064f50"/>
				<dataSourceExpression><![CDATA[$P{P_SQLEXEC}.subreport(
"select c_benutzername, t_loggedin, t_loggedout from lp_theclient where i_personal =("+
" select i_id from pers_personal where c_personalnr = '"+$F{Personalnummer}+"' and mandant_c_nr='"+$P{P_MANDANT_OBJ}.getMandantCNr()+"') "+
"and not c_benutzername like 'lpwebappzemecs|%' "+
"order by t_loggedin, c_benutzername;",
new String[] {"c_benutzername",
"t_loggedin",
"t_loggedout"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File($P{REPORT_DIRECTORY}+"pers_personalliste_login_detail.jasper").toURL()]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
</jasperReport>
